package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 销售合同变更-审批意见表
 * </p>
 *
 * @author yafan
 * @since 2024-01-08
 */
@TableName("sales_contract_supplement_approval_comment_info")
public class SalesContractSupplementApprovalCommentInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同变更-审核Id
     */
    @TableField("sales_contract_supplement_approval_id")
    private Long salesContractSupplementApprovalId;

    /**
     * 审批意见
     */
    @TableField("approval_comment")
    private String approvalComment;

    public Long getSalesContractSupplementApprovalId() {
        return salesContractSupplementApprovalId;
    }

    public void setSalesContractSupplementApprovalId(Long salesContractSupplementApprovalId) {
        this.salesContractSupplementApprovalId = salesContractSupplementApprovalId;
    }

    public String getApprovalComment() {
        return approvalComment;
    }

    public void setApprovalComment(String approvalComment) {
        this.approvalComment = approvalComment;
    }

    @Override
    public String toString() {
        return "SalesContractSupplementApprovalCommentInfo{" +
                ", salesContractSupplementApprovalId=" + salesContractSupplementApprovalId +
                ", approvalComment=" + approvalComment +
                "}";
    }
}
